/***************************************************************************
*    Copyright 2000  Broadcom Corporation
*    All Rights Reserved
*    No portions of this material may be reproduced in any form without the
*    written permission of:
*             Broadcom Corporation
*             16251 Laguna Canyon Road
*             Irvine, California  92618
*    All information contained in this document is Broadcom Corporation
*    company private, proprietary, and trade secret.
*
****************************************************************************
*
*    Filename: apposCfg.h
*    Creation Date: 10 Oct 2000 (v0.00)
*    VSS Info:
*        $Revision: 1.1 $
*        $Date: 2002/08/21 17:54:15 $
*
****************************************************************************
*    Description:
*
*     APPOS default build options.  To override defaults in
*     apposCfg.h make a file called apposCfgCustom.h in your build
*     directory.
*
****************************************************************************/

#ifndef APPOS_CFG_H
#define APPOS_CFG_H

#ifdef __cplusplus
extern "C" {
#endif

#include <bcmosCfg.h>         /* APPOS inherits from BCMOS */

/*
*****************************************************************************
** CONSTANT DECLARATIONS
*****************************************************************************
*/

/* Task priority for MTA root task */
#define APPOS_CFG_ROOT_TASK_PRIORITY   OS_TASK_ROOT


/* Task priority for MTA application task */
#define APPOS_CFG_APP_TASK_PRIORITY    OS_TASK_DEFAULT


/* Maximum number of tasks in the system */
#define APPOS_CFG_MAX_TCB              OS_CFG_MAX_TASKS


/* The reset granularity is the rate at which blocking OS calls check if
 * an application reset has been initiated. If it has, the OS call will return
 * an AOS_STATUS_RESET error code. */
#define APPOS_CFG_RESET_GRANULARITY    FIVE_HUNDRED_MSEC



/*
*****************************************************************************
** CUSTOM CONFIGURATION - This must be included after all default
** build configuration options. Custom include files should undef default
** config options and then re-define them.
*****************************************************************************
*/
#include <apposCfgCustom.h>


#ifdef __cplusplus
    }
#endif

#endif  /* APPOS_CFG_H  */


