/***************************************************************************
*    Copyright 2000  Broadcom Corporation
*    All Rights Reserved
*    No portions of this material may be reproduced in any form without the
*    written permission of:
*             Broadcom Corporation
*             16251 Laguna Canyon Road
*             Irvine, California  92618
*    All information contained in this document is Broadcom Corporation
*    company private, proprietary, and trade secret.
*
****************************************************************************
*
*    Filename: netCfg.h
*    Creation Date: 27 Dec 2001 (v0.00)
*    VSS Info:
*        $Revision: 1.1 $
*        $Date: 2002/08/21 17:54:28 $
*
****************************************************************************
*    Description:
*
*     NET module default build options.  To override defaults in
*     netCfg.h make a file called netCfgCustom.h in your build
*     directory.
*
****************************************************************************/

#ifndef NET_CFG_H
#define NET_CFG_H

#ifdef __cplusplus
extern "C" {
#endif

#include <globalCfg.h>
#include <hausenv.h>

/*
*****************************************************************************
** CONSTANT DECLARATIONS
*****************************************************************************
*/

#if !WIN32
   /* NOT Win32 */

   #if GLOBAL_CFG_SMTA_SUPPORT
      /* S-MTA */

      /* 1 if multiple IP stacks are enabled. All MTA packets will use the second
       * IP stack. (CM traffic will use the first IP stack). Set to 0 if multiple
       * IP stacks are not supported. */
      #define NET_CFG_MULTI_IP_STACKS  0

   #else
      /* E-MTA */

      /* 1 if multiple IP stacks are enabled. All MTA packets will use the second
       * IP stack. (CM traffic will use the first IP stack). Set to 0 if multiple
       * IP stacks are not supported. */
      #define NET_CFG_MULTI_IP_STACKS  1

   #endif

#else
   /* Win32 */

   /* Multiple IP stacks not supported for WIN32 version of MTA */
   #define NET_CFG_MULTI_IP_STACKS     0

#endif



/*
*****************************************************************************
** CUSTOM CONFIGURATION - This must be included after all default
** build configuration options. Custom include files should undef default
** config options and then re-define them.
*****************************************************************************
*/
#include <netCfgCustom.h>


#ifdef __cplusplus
    }
#endif

#endif  /* NET_CFG_H  */


